%define uname	Clementine
%define url_ver	%(echo %{version}|cut -d. -f1,2)

# comment out when not pre-release
#define prel	rc1

%define rel	1

Summary:	A cross-platform music player based on Amarok 1.4
Name:		clementine
Version:	1.3.1
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv3
Group:		Sound/Players
URL:		http://www.clementine-player.org/
Source0:	https://github.com/clementine-player/Clementine/releases/download/%{version}%{?prel}/%{name}-%{version}%{?prel}.tar.xz
Patch0:		clementine-1.2.0-mygpo-qt-dir.patch
Patch1:		clementine-sqlite-3.12.patch
BuildRequires:	qt4-devel >= 4:4.5.0
BuildRequires:	kde4-macros
BuildRequires:	liblastfm-devel
BuildRequires:	libboost-devel
BuildRequires:	qt4-linguist
BuildRequires:	ffmpeg-devel
BuildRequires:  cryptopp-devel
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-app-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
#BuildRequires:	pkgconfig(gstreamer-cdda-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libchromaprint)
BuildRequires:	pkgconfig(libechonest)
BuildRequires:	pkgconfig(libgpod-1.0) >= 0.7.92
BuildRequires:	pkgconfig(libmtp) >= 1.0
BuildRequires:	pkgconfig(libmygpo-qt) >= 1.0.7
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(qca2)
BuildRequires:	pkgconfig(QJson)
BuildRequires:	pkgconfig(QtWebKit)
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(taglib) >= 1.6

Requires:	libprojectm-data
Requires:	qca2-plugin-openssl
Requires:	qt4-database-plugin-sqlite
# Add a requires for gstreamer0.10-ofa to allow Music Brain functionnality (mga #1581)
Requires:	gstreamer1.0-ofa
# Add more suggests since gstreamer0.10 was not provided on mageia 1 ( mga #1987)
Recommends:	gstreamer1.0-plugins-good
Recommends:	gstreamer1.0-plugins-ugly
Recommends:	gstreamer1.0-flac
Recommends:	gstreamer1.0-musepack
Recommends:	gstreamer1.0-gsm
Recommends:	gstreamer1.0-faad
Recommends:	gstreamer1.0-neon
Recommends:	gstreamer1.0-plugins-bad
Recommends:	gstreamer1.0-ffmpeg
# Needed to be able to mount ipod/iphone/ipad (not tested locally) but it's also pulling gvfs
# which is need at least to mount mtp devices (tested locally)
Recommends:	gvfs-iphone
# Needed to be able to listen tracks from soundcloud (mga#15004)
Recommends:	glib-networking

%description
Clementine is a modern music player and library organiser. Clementine is
a port of Amarok 1.4, with some features rewritten to take advantage of
Qt4.
Features:
        * Search and play your local music library
        * Listen to internet radio from Last.fm, SomaFM and Magnatune
        * Tabbed playlists, import and export M3U, XSPF, PLS and ASX
        * Visualisations from projectM
        * Transcode music into MP3, Ogg Vorbis, Ogg Speex, FLAC or AAC
        * Edit tags on MP3 and OGG files, organise your music
        * Download missing album cover art from Last.fm
        * Remote control using a Wii Remote, MPRIS or the command-line
        * Copy music to your iPod, iPhone, MTP or mass-storage USB player
        * Queue manager

%files
%doc COPYING Changelog
%{_bindir}/clementine
%{_bindir}/clementine-tagreader
%{_kde_services}/clementine-*.protocol
%{_datadir}/applications/clementine.desktop
%{_iconsdir}/hicolor/*/apps/*clementine.*
%{_datadir}/appdata/clementine.appdata.xml

#---------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}%{?prel}
%autopatch -p1
sed -i -e '/^\[Play Shortcut Group\]$/,300d' dist/*.desktop

%build
%cmake_qt4 -DBUNDLE_PROJECTM_PRESETS=OFF -DENABLE_PLASMARUNNER=ON -D -DENABLE_REMOTE=ON
%make

%install
%make_install -C build


%changelog
* Thu Feb 09 2017 zezinho <zezinho> 1.3.1-1.mga5
+ Revision: 1085209
- update MGA5 version to fix dynamic playlist bug

* Sun Jan 11 2015 wally <wally> 1.2.3-5.mga5
+ Revision: 809844
- add recommends for glib-networking to be able to listen tracks from soundcloud (mga#15004)
- change source tag to use %%name-%%version.tar.gz

* Wed Oct 15 2014 umeabot <umeabot> 1.2.3-4.mga5
+ Revision: 746900
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.3-3.mga5
+ Revision: 678424
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Sep 08 2014 fwang <fwang> 1.2.3-2.mga5
+ Revision: 673555
- add patch from archlinux to fix with latest udiss namespace

  + luigiwalser <luigiwalser>
    - rebuild for protobuf

* Sat Jun 07 2014 sander85 <sander85> 1.2.3-1.mga5
+ Revision: 634475
- New version: 1.2.3

* Fri Mar 21 2014 akien <akien> 1.2.2-1.mga5
+ Revision: 606381
- New patch for missing includes
- Add upstream patch for missing include
- New version 1.2.2

* Sat Feb 15 2014 luigiwalser <luigiwalser> 1.2.1-3.mga5
+ Revision: 592236
- rebuild for libcdio

* Tue Dec 31 2013 dmorgan <dmorgan> 1.2.1-2.mga4
+ Revision: 563504
- Rebuild against current protobuf

* Sat Nov 30 2013 juancho <juancho> 1.2.1-1.mga4
+ Revision: 554128
- Updated to version 1.2.1

* Tue Oct 22 2013 umeabot <umeabot> 1.2.0-3.mga4
+ Revision: 545139
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 fwang <fwang> 1.2.0-2.mga4
+ Revision: 500837
- update include dir
- update mygpo-qt includedir
- sed desktop file
- add br
- update br
- new version 1.2.0

* Sun Sep 01 2013 fwang <fwang> 1.1.1-10.mga4
+ Revision: 473908
- rebuild for new libcdio

* Sat Aug 03 2013 fwang <fwang> 1.1.1-9.mga4
+ Revision: 462874
- rebuild for new libechonest

* Wed Jul 24 2013 sander85 <sander85> 1.1.1-8.mga4
+ Revision: 457694
- Rebuild for new glew

* Tue Jul 09 2013 fwang <fwang> 1.1.1-7.mga4
+ Revision: 451712
- rebuild for new boost

* Thu Jun 13 2013 fwang <fwang> 1.1.1-6.mga4
+ Revision: 442353
- fix build with latest libimobiledevice
- rebuild for new libimobiledevices

* Fri May 24 2013 barjac <barjac> 1.1.1-5.mga4
+ Revision: 426583
- fix build with glib2-2.36

* Thu Apr 11 2013 barjac <barjac> 1.1.1-4.mga3
+ Revision: 409673
- rebuild for boost-1.53

* Fri Jan 11 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 347881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 juancho <juancho> 1.1.1-2.mga3
+ Revision: 337918
- Added Requires for qca2-plugin-openssl.

* Sun Nov 18 2012 fwang <fwang> 1.1.1-1.mga3
+ Revision: 319420
- new version 1.1.1

* Thu Oct 25 2012 fwang <fwang> 1.1.0-2.mga3
+ Revision: 310027
- build with system chromaprint

* Thu Oct 25 2012 fwang <fwang> 1.1.0-1.mga3
+ Revision: 310026
- update file list
- there is no plasma-applet now
- new version 1.1.0

* Sun Aug 19 2012 sander85 <sander85> 1.0.1-4.mga3
+ Revision: 282322
- Rebuild for new glew

* Tue Aug 07 2012 wally <wally> 1.0.1-3.mga3
+ Revision: 279878
- add a patch from upstream (via Fedora) to fix build with new libimobiledevice

* Thu Aug 02 2012 neoclust <neoclust> 1.0.1-2.mga3
+ Revision: 277772
- Fix build with new liblastfm ( from fedya )

* Thu Mar 01 2012 juancho <juancho> 1.0.1-1.mga3
+ Revision: 216351
+ rebuild (emptylog)

* Thu Jan 26 2012 mikala <mikala> 1.0.1-1.mga2
+ Revision: 201800
- Update tarball to 1.0.1

* Thu Dec 29 2011 mikala <mikala> 1.0.0-1.mga2
+ Revision: 188725
- Update tarball to final 1.0.0

* Tue Dec 20 2011 mikala <mikala> 1.0.0-0.rc1.1.mga2
+ Revision: 184894
- Add patch0 to remove the unity blog in the .desktop file
- Update tarball to 1.0.0 rc1
- Add more BR ( qca2, libcdio, protobuff)
- Fix BR for QtWebkit
- Enable support for remove control
- Enable the build of the plasma runner plugin
- use spaces instead of tabs

* Mon Oct 03 2011 fwang <fwang> 0.7.1-2.mga2
+ Revision: 151170
- rebuild for new glew

* Sun Jul 17 2011 fwang <fwang> 0.7.1-1.mga2
+ Revision: 125203
- rebuild for new libmtp

* Fri Apr 01 2011 mikala <mikala> 0.7.1-0.mga2
+ Revision: 79539
- Update tarball to 0.7.1

* Mon Mar 28 2011 mikala <mikala> 0.7-0.mga1
+ Revision: 78283
- Update tarball to 0.7
- Clean spec

* Fri Mar 25 2011 ahmad <ahmad> 0.6-5.mga1
+ Revision: 77425
- bump rel and submit to core/testing to build against libimobiledevice-1.1.0

* Thu Feb 17 2011 mikala <mikala> 0.6-4.mga1
+ Revision: 52780
- Disable libindicate-qt-devel BR
- imported package clementine


* Wed Feb 02 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.6-4mdv2011.0
+ Revision: 635353
- *Added patch to make clementine use system language
- Added a patch to give a more polished playlist on the first run

* Tue Feb 01 2011 Sergio Rafael Lemke <sergio@mandriva.com> 0.6-3
+ Revision: 634892
- Added patch to use PlainSidebar instead the bluish one, on the playlist

* Mon Jan 31 2011 Funda Wang <fwang@mandriva.org> 0.6-2
+ Revision: 634417
- BR indicate

* Sun Dec 12 2010 John Balcaen <mikala@mandriva.org> 0.6-1mdv2011.0
+ Revision: 620601
- Add missing buildrequires
- Remove unused files
- Update to 0.6

* Thu Sep 30 2010 John Balcaen <mikala@mandriva.org> 0.5.3-1mdv2011.0
+ Revision: 582170
- Update to 0.5.3

* Mon Sep 20 2010 John Balcaen <mikala@mandriva.org> 0.5-1mdv2011.0
+ Revision: 579908
- Update to 0.5
- drop patch (merged upstream)
- add BR for libmtp-devel & libgpod-devel (mtp & ipod/iphone support)
- add suggests for gvfs-iphone (needed to detect iphone/ipod but also mtp device)
- update description
- Update URL
- Add patch3 to fix visualisation when using another locale then english

* Sun Aug 08 2010 John Balcaen <mikala@mandriva.org> 0.4.2-3mdv2011.0
+ Revision: 567630
- Add patch0 from upstream to fix a crash when expanding lastfm
- Add patch1 from upstream (fix debug symbol)
- Add -DBUNDLE_PROJECTM_PRESETS=O & add a requires on libprojectm-data for projectm-preset

* Mon Jul 26 2010 John Balcaen <mikala@mandriva.org> 0.4.2-2mdv2011.0
+ Revision: 560890
- Restore use of make -j 4 (%%make seems to failed)
- Remove -DQT_PHONON_INCLUDE_DIR=%%_includedir with %%cmake (fix upstream)
- Add qt4-database-plugin-sqlite  as require (needed for the library)

  + Funda Wang <fwang@mandriva.org>
    - New version 0.4.2

* Fri May 07 2010 John Balcaen <mikala@mandriva.org> 0.3-1mdv2010.1
+ Revision: 543186
- Update to 0.3 final

* Mon May 03 2010 John Balcaen <mikala@mandriva.org> 0.3-0.rc1.2mdv2010.1
+ Revision: 541833
- Enforce use of make -j 4 (thks to misc)
- bump release
- Correct %%release tag
- Update to 0.3rc1
- remove libnotify-devel BR

* Tue Apr 27 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.787mdv2010.1
+ Revision: 539860
- Update to revision 787
- Update to revision 774
- use -DQT_PHONON_INCLUDE_DIR= with %%cmake_qt4 macro (thks neoclust)

* Fri Apr 09 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.624mdv2010.1
+ Revision: 533308
- Update to revision 624 (gstreamer equalizer :D)
- add qt4-linguist as buildrequires

* Wed Apr 07 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.586mdv2010.1
+ Revision: 532433
- Update snapshot to svn 586
- add buildrequires for gstreamer-develi
- comment the vlc & xine buildrequires
- add suggests on gstreamer0.10-decoders-audio (disable xine-pulse one)

* Wed Mar 31 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.547mdv2010.1
+ Revision: 530089
- Update to revision 547 from svn
- Update description

* Tue Mar 23 2010 John Balcaen <mikala@mandriva.org> 0.2-1mdv2010.1
+ Revision: 526913
- import clementine


